/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include "abname.h"
#include "abentry.h"

#include <qcombobox.h>
#include <qlineedit.h>

/*!
  \class AbName abname.h

  \brief AbName is a dialog for entering a person's name.
*/

AbName::AbName( AbEntry* entry, QWidget* parent, const char* name,
		bool modal, WFlags fl )
    : AbNameBase( parent, name, modal, fl ),
      ent( entry )
{
}

AbName::~AbName()
{
}

void AbName::accept()
{
    QString name = TitleComboBox->currentText() + " " +
		   FirstLineEdit->text()+ " " +
		   MiddleLineEdit->text() + " " +
		   LastLineEdit->text() + " " +
		   SuffixComboBox->currentText();
    ent->replace( "FullName", new QString( name.simplifyWhiteSpace() ) );

    ent->replace( "Title", new QString( TitleComboBox->currentText() ) );
    ent->replace( "FirstName", new QString( FirstLineEdit->text() ) );
    ent->replace( "MiddleName", new QString( MiddleLineEdit->text() ) );
    ent->replace( "LastName", new QString( LastLineEdit->text() ) );
    ent->replace( "Suffix", new QString( SuffixComboBox->currentText() ) );
    
    AbNameBase::accept();
}
