/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef EXAMPLE_H
#define EXAMPLE_H

#include <qpopupmenu.h>
#include <qmainwindow.h>
#include <qintdict.h>
#include <qcanvas.h>

class FigureEditor : public QCanvasView {
    Q_OBJECT

public:
    FigureEditor(QCanvas&, QWidget* parent=0, const char* name=0, WFlags f=0);
    void clear();

protected:
    void contentsMousePressEvent(QMouseEvent*);
    void contentsMouseMoveEvent(QMouseEvent*);

signals:
    void status(const QString&);

private:
    QCanvasItem* moving;
    QPoint moving_start;
};

class CanvasWindow : public QMainWindow {
    Q_OBJECT

public:
    CanvasWindow( QWidget* parent=0, const char* name=0, WFlags f=0);
    ~CanvasWindow();

public slots:
    void help();

private slots:
    void aboutQt();
    void clear();
    void init();

    void addCircle();
    void addHexagon();
    void addPolygon();
    void addLine();
    void addRectangle();

    void addButterfly();
    
    void enlarge();
    void shrink();

    void toggleDoubleBuffer();

private:
    QCanvas canvas;
    FigureEditor *editor;

    QPopupMenu* options;
    int dbf_id;
};

#endif
