/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include <qcanvas.h>
#include <qlist.h>

class QIMPenChar;
class StrokePoint;

typedef QList<QCanvasItem> ItemList;

class QIMPenCharEditor : public QCanvasView
{
    Q_OBJECT
public:
    QIMPenCharEditor( QWidget *parent=0, const char *name=0, WFlags f=0 );

    void setCharacter( QIMPenChar *c );

protected:
    void makeStrokes();
    void movePoint( StrokePoint *p, int x, int y );
    virtual void contentsMousePressEvent(QMouseEvent* e);
    virtual void contentsMouseMoveEvent(QMouseEvent* e);
    virtual void contentsMouseReleaseEvent(QMouseEvent* e);

private:
    QIMPenChar *ch;
    QList<ItemList> strokes;
    int scale;
    int pntSize;
    StrokePoint *moveItem;
};

