/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include "inputpen.h"
#include <qwindowsystem_qws.h>
#include <qwsevent_qws.h>

QWSPenInput::QWSPenInput( QWidget *parent, const char *name,
			  int WFlags )
    : QIMPenInput( parent, name, WFlags )
{
    connect( this, SIGNAL(key(unsigned int)), SLOT(keyPress(unsigned int)) );
}


void QWSPenInput::keyPress( unsigned int unicode )
{
#ifdef _WS_QWS_
    QWSServer::sendKeyEvent( unicode&0xffff, unicode>>16, 0, TRUE, FALSE );
    QWSServer::sendKeyEvent( unicode&0xffff, unicode>>16, 0, FALSE, FALSE );
#endif
}
