/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef __APPLNK_H__
#define __APPLNK_H__


#include <qobject.h>
#include <qstring.h>


class MRUList;


class AppLnk : public QObject
{
Q_OBJECT
public:
    AppLnk( const QString &name=NULL, const QString &icon=NULL, const QString &exec=NULL, const QString &type=NULL, const QString &comment=NULL, MRUList *list=NULL );
    void setMruList( MRUList *list );
    QString getName() { return name; }
    QString getIcon() { return icon; }
    QString getExec() { return exec; }
    QString getType() { return type; }
    QString getComment() { return comment; }
    int getId() { return id; }
public slots:
    void execute();
private:
    QString name;
    QString icon;
    QString exec;
    QString type;
    QString comment;
    MRUList *list;
    int id;
    static int lastId;
};


#endif // __APPLNK_H__

