/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef __INPUT_METHODS_H__
#define __INPUT_METHODS_H__


#include <qwidget.h>
#include <qlayout.h>
#include <qpopupmenu.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>


enum KeyMode
{
    Pick,
    Pen,
    Keybd,
    Opti,
    Unicode
};


class InputMethods : public QWidget
{
    Q_OBJECT
public:
    InputMethods( QWidget * );

private slots:
    void chooseKbd();
    void showKbd( bool );

private:
    QPushButton *kbdButton;
    QPushButton *kbdChoice;
    QWidget *keyboard;
    KeyMode keyMode;

    bool inputMethodsOverlapTaskBar;
    bool inputMethodsOverlapApps;

    int displayWidth;
    int displayHeight;
};


#endif // __INPUT_METHODS_H__

