/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef __START_MENU_H__
#define __START_MENU_H__


#include <qstring.h>
#include <qlist.h>
#include <qpopupmenu.h>
#include <qpushbutton.h>
#include "applnk.h"


class MRUList;


class StartMenu : public QPushButton {
    Q_OBJECT
public:
    StartMenu( QWidget * );
    
public:
    QPopupMenu *launchMenu;

public slots:
    void launch( );
    void loadOptions(const QString &configFile);
    void loadMenus( );
    void loadDirMenus( const QString &, QPopupMenu *, int & );
    void fileTreePopupMenu( const QString &, QPopupMenu *, int & );
    
private:
    bool useWidePopupMenu;
    QString *popupMenuSidePixmap;

    bool startButtonIsFlat;
    QString *startButtonPixmap;

    bool useMRUList;
    MRUList *mruList;
};


#endif // __START_MENU_H__
